summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2009-01-26 21:10:48 +0000
committerMarc Kleine-Budde <mkl@pengutronix.de>2009-01-26 21:10:48 +0000
commit00182b3933b83bcc7ec5e4079e04a81fd35b9e80 (patch)
treedd0f3241a0bb50d155813fe7c5ba442f9489149e /bin
parentf948fe2a133424b9ffe70276d10e659f1b685f94 (diff)
downloadptxdist-00182b3933b83bcc7ec5e4079e04a81fd35b9e80.tar.gz
ptxdist-00182b3933b83bcc7ec5e4079e04a81fd35b9e80.tar.xz
* TODO, bin/ptxdist:
remove local/ stuff git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-trunk@9651 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist15
1 files changed, 11 insertions, 4 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index e7ebccd9..bbec8bf7 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -735,7 +735,6 @@ EOF
clean() {
local dir bdir
- local ptxconf_sysroot_target ptxconf_sysroot_host ptxconf_sysroot_cross
# we want to clean the root dir
if [ "${1}" = "root" ]; then
@@ -778,9 +777,10 @@ clean() {
if [ -f "${PTXDIST_PTXCONFIG}" ]; then
echo "${PROMPT}removing sysroot directories..."
- ptxconf_sysroot_target="$(ptxd_get_ptxconf PTXCONF_SYSROOT_TARGET)"
- ptxconf_sysroot_host="$(ptxd_get_ptxconf PTXCONF_SYSROOT_HOST)"
- ptxconf_sysroot_cross="$(ptxd_get_ptxconf PTXCONF_SYSROOT_CROSS)"
+ local ptxconf_sysroot_target="$(ptxd_get_ptxconf PTXCONF_SYSROOT_TARGET)"
+ local ptxconf_sysroot_host="$(ptxd_get_ptxconf PTXCONF_SYSROOT_HOST)"
+ local ptxconf_sysroot_cross="$(ptxd_get_ptxconf PTXCONF_SYSROOT_CROSS)"
+ local ptxconf_gnu_target="$(ptxd_get_ptxconf PTXCONF_GNU_TARGET)"
for dir in "${ptxconf_sysroot_target}" "${ptxconf_sysroot_host}" "${ptxconf_sysroot_cross}"; do
if [ ! -d "${dir}" ]; then
@@ -799,6 +799,13 @@ clean() {
;;
esac
done
+
+ # this is for ptxdist-1 backward compatibility
+ dir="${PTXDIST_WORKSPACE}/local/${ptxconf_gnu_target}"
+ if [ -n "${ptxconf_gnu_target}" -a -d "${dir}" ]; then
+ rm -rf "${dir}" || true
+ rmdir "${PTXDIST_WORKSPACE}/local" >/dev/null 2>&1 || true
+ fi
fi
echo "${PROMPT}removing deps..."